import java.util.InputMismatchException;
import java.util.Scanner;

public class CuentaPatito {

	public static void main(String[] args) {
		Scanner ent = new Scanner(System.in);
		Cuenta cliente = new Cuenta();
		int opc;
		System.out.println("\n1.Depositar\n2.Retirar");
		System.out.println("3.Saldo\n4.Salir");
		System.out.print("\nOpcion: ");
		opc = ent.nextInt();
		
		do {
			try {		
				switch(opc) {
				case 1: System.out.print("Ingrese monto: ");
					    float monto = ent.nextFloat();
					    cliente.deposito(monto);
					    break;
				case 2: System.out.print("Ingrese monto a retirar: ");
			    	    float retiro = ent.nextFloat();
			    	    cliente.retiro(retiro);
			    	    System.out.print("Saldo: "+cliente.getSaldo());
			    	    break;
				case 3: System.out.print("Saldo: "+cliente.getSaldo());
			    		break;
				}
			}
			catch (NegException e) {
				System.out.println("Valor negativo! ");
			}
			catch (Sobregiro e) {
				System.out.println("Sobregiro! ");
			}
			catch (InputMismatchException e) {
				System.out.println("Formato inválido");
				ent.nextLine();
			}
			finally {
				System.out.println("\n1.Depositar\n2.Retirar");
				System.out.println("3.Saldo\n4.Salir");
				System.out.print("\nOpcion: ");
				try {
					opc = ent.nextInt();
				}
				catch (InputMismatchException e) {
					System.out.println("Formato inválido");
					ent.nextLine();
					opc = 0;
				}
			}
		} while (opc != 4);
		ent.close();
	}
}
